org.eclipse.net4j.util.io

## Interface ZIPUtil.UnzipHandler

- All Known Implementing Classes:
    ZIPUtil.FileSystemUnzipHandler
  Enclosing class:
    ZIPUtil

      public static interface ZIPUtil.UnzipHandler

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `unzipDirectory(String name)`
    `void` | `unzipFile(String name, InputStream zipStream)`

- - ### Method Detail

    - #### unzipDirectory

          void unzipDirectory(String name)
                       throws IOException

      Throws:
        `IOException`

    - #### unzipFile

          void unzipFile(String name,
                         InputStream zipStream)
                  throws IOException

      Throws:
        `IOException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html